
SELinux - Feature #16492

Add Gemfile to repository to provide "rake"

09/08/2016 09:37 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.13.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/60

  

Description

foreman-selinux contains a Rakefile for generating the tarball via the pkg:generate_source task, which is used across all Foreman

projects to build nightly and release tarballs.

The build jobs on Jenkins have started failing as we're not longer installing rake by default (because we prefer RVM for slaves), so

this repo should also contain a Gemfile that helps install the rake gem to run the rake task.

Associated revisions

Revision a4d19900 - 09/09/2016 06:28 AM - Dominic Cleal

fixes #16492 - add Gemfile to install rake (#60)

History

#1 - 09/08/2016 09:39 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/60 added

#2 - 09/09/2016 07:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a4d19900b31c45771b40b984e535fec895310f59.

#3 - 09/09/2016 07:18 AM - Dominic Cleal

- translation missing: en.field_release set to 190
